using System.Collections.Generic;
using System.ServiceModel;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IRequestService
    {

        [OperationContract]
        Task<IEnumerable<RequestDto>> GetRequestsAsync(FilterDto filterDto);
        [OperationContract]
        Task<RequestDto> GetRequestByIdAsync(int id);
        [OperationContract]
        Task CreateRequestAsync(RequestDto userDto);
        [OperationContract]
        Task UpdateRequestAsync(RequestDto userDto);
        [OperationContract]
        Task DeleteRequestAsync(int id);

    }

}
